using System;
using System.Data;
using System.Data.SqlClient;

using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public class PatientDAL
{
    public static int AddPatient(string pname,
        string dob, string gender,string contactno, 
        string complaints)
    {

        SqlConnection con = new SqlConnection(Database.ConnectionString);
        try
        {
            con.Open();
            SqlCommand cmd = new SqlCommand("select  isnull(max(pid),0) + 1 from patients", con);
            int pid = (int)cmd.ExecuteScalar();

            cmd.CommandText = "insert into patients values(@pid,@pname,@dob,@gender,@contactno,@complaints)";
            cmd.Parameters.Add("@pid", SqlDbType.Int).Value = pid;
            cmd.Parameters.Add("@pname", SqlDbType.VarChar, 30).Value = pname;
            cmd.Parameters.Add("@dob", SqlDbType.DateTime).Value = dob;
            cmd.Parameters.Add("@gender", SqlDbType.Char, 1).Value = gender;
            cmd.Parameters.Add("@contactno", SqlDbType.VarChar, 20).Value = contactno;
            cmd.Parameters.Add("@complaints", SqlDbType.VarChar, 200).Value = complaints;
            cmd.ExecuteNonQuery();
            return pid;
        }
        catch (Exception ex)
        {
            return -1;
        }
        finally
        {
            if (con.State == ConnectionState.Open)
                con.Close();
        }

    }
}
