using System;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class addvisit : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        SqlConnection con = new SqlConnection(Database.ConnectionString);
        try
        {
            con.Open();
            SqlCommand cmd = new SqlCommand("addvisit", con);
            cmd.CommandType = CommandType.StoredProcedure;

            string pid;

            if (txtPid.Text.Length > 0)
                pid = txtPid.Text;
            else
                pid = ddlPatients.SelectedValue;

            
            cmd.Parameters.Add("@pid", SqlDbType.Int).Value = pid;
            cmd.Parameters.Add("@complaint", SqlDbType.VarChar, 30).Value = txtComplaint.Text;
            cmd.ExecuteNonQuery();
            lblMsg.Text = "Visit Details Added Successfully!";
        }
        catch (Exception ex)
        {
            lblMsg.Text = "Error -->" + ex.Message;
        }
        finally
        {
            if (con.State == ConnectionState.Open)
                con.Close();
        }

    }
}
